<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetdocs',

    /*
     * Package.
     */
    'package'   => 'store',

    /*
     * Modules.
     */
    'modules'   => ['store', 
'substore'],

    /*
     * Image size.
     */
    'image'    => [
        'xs' => [
            'width'     => '60',
            'height'    => '45',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'sm' => [
            'width'     => '160',
            'height'    => '120',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'md' => [
            'width'     => '460',
            'height'    => '345',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'lg' => [
            'width'     => '800',
            'height'    => '600',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '1000',
            'height'    => '750',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
    ],

    'store'       => [
        'model'             => 'Assetdocs\Store\Models\Store',
        'table'             => 'stores',
        'presenter'         => \Assetdocs\Store\Repositories\Presenter\StoreItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'upload_folder', 'id',  'name',  'user_id',  'code',  'slug',  'description',  'address',  'city',  'district',  'state',  'country',  'zipcode',  'phone',  'email',  'stock',  'status',  'created_at',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'name',  'user_id',  'code',  'slug',  'description',  'address',  'city',  'district',  'state',  'country',  'zipcode',  'phone',  'email',  'stock',  'status',  'created_at',  'updated_at',  'deleted_at'],

        'upload-folder'     => '/uploads/store/store',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
'substore'       => [
        'model'             => 'Assetdocs\Store\Models\Substore',
        'table'             => 'substores',
        'presenter'         => \Assetdocs\Store\Repositories\Presenter\SubstoreItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'upload_folder', 'id',  'user_id',  'store_id',  'name',  'code',  'description',  'slug',  'address',  'phone',  'email',  'status',  'created_at',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'user_id',  'store_id',  'name',  'code',  'description',  'slug',  'address',  'phone',  'email',  'status',  'created_at',  'updated_at',  'deleted_at'],

        'upload-folder'     => '/uploads/store/substore',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
