@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('store::store.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('store::store.names') !!}</small>
@stop

@section('title')
{!! trans('store::store.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('store::store.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='store-store-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="store-store-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('store::store.label.name')!!}</th>
        <th>{!! trans('store::store.label.code')!!}</th>
        <th>{!! trans('store::store.label.description')!!}</th>
        <th>{!! trans('store::store.label.address')!!}</th>
        <th>{!! trans('store::store.label.city')!!}</th>
        <th>{!! trans('store::store.label.zipcode')!!}</th>
        <th>{!! trans('store::store.label.phone')!!}</th>
        <th>{!! trans('store::store.label.email')!!}</th>
        <th>{!! trans('store::store.label.stock')!!}</th>
        <th>{!! trans('store::store.label.status')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[name]')->raw()!!}</th>
        <th>{!! Form::text('search[code]')->raw()!!}</th>
        <th>{!! Form::text('search[description]')->raw()!!}</th>
        <th>{!! Form::text('search[address]')->raw()!!}</th>
        <th>{!! Form::text('search[city]')->raw()!!}</th>
        <th>{!! Form::numeric('search[zipcode]')->raw()!!}</th>
        <th>{!! Form::text('search[phone]')->raw()!!}</th>
        <th>{!! Form::text('search[email]')->raw()!!}</th>
        <th>{!! Form::text('search[stock]')->raw()!!}</th>
        <th>{!! Form::select('search[status]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#store-store-entry', '{!!trans_url('admin/store/store/0')!!}');
    oTable = $('#store-store-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/store/store') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#store-store-list .search_bar input, #store-store-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'name'},
                        {data :'code'},
                        {data :'description'},
                    {data :'address'},
                    {data :'city'},
                                {data :'zipcode'},
                    {data :'phone'},
                    {data :'email'},
                    {data :'stock'},
                    {data :'status'},
        ],
        "pageLength": 25
    });

    $('#store-store-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#store-store-list').DataTable().row( this ).data();

        $('#store-store-entry').load('{!!trans_url('admin/store/store')!!}' + '/' + d.id);
    });

    $("#store-store-list .search_bar input, #store-store-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

