@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('store::substore.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('store::substore.names') !!}</small>
@stop

@section('title')
{!! trans('store::substore.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('store::substore.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='store-substore-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="store-substore-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('store::substore.label.store_id')!!}</th>
        <th>{!! trans('store::substore.label.name')!!}</th>
        <th>{!! trans('store::substore.label.code')!!}</th>
        <th>{!! trans('store::substore.label.address')!!}</th>
        <th>{!! trans('store::substore.label.phone')!!}</th>
        <th>{!! trans('store::substore.label.email')!!}</th>
        <th>{!! trans('store::substore.label.status')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::numeric('search[store_id]')->raw()!!}</th>
        <th>{!! Form::text('search[name]')->raw()!!}</th>
        <th>{!! Form::text('search[code]')->raw()!!}</th>
        <th>{!! Form::text('search[address]')->raw()!!}</th>
        <th>{!! Form::text('search[phone]')->raw()!!}</th>
        <th>{!! Form::text('search[email]')->raw()!!}</th>
        <th>{!! Form::select('search[status]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#store-substore-entry', '{!!trans_url('admin/store/substore/0')!!}');
    oTable = $('#store-substore-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/store/substore') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#store-substore-list .search_bar input, #store-substore-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'store_id'},
                    {data :'name'},
                    {data :'code'},
                            {data :'address'},
                    {data :'phone'},
                    {data :'email'},
                    {data :'status'},
        ],
        "pageLength": 25
    });

    $('#store-substore-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#store-substore-list').DataTable().row( this ).data();

        $('#store-substore-entry').load('{!!trans_url('admin/store/substore')!!}' + '/' + d.id);
    });

    $("#store-substore-list .search_bar input, #store-substore-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

