<?php

namespace Assetdocs\Store\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Store policy
        \Assetdocs\Store\Models\Store::class => \Assetdocs\Store\Policies\StorePolicy::class,
// Bind Substore policy
        \Assetdocs\Store\Models\Substore::class => \Assetdocs\Store\Policies\SubstorePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
